Fields
======

Class Diagrams
--------------

.. inheritance-diagram:: django_select2.fields.Select2ChoiceField django_select2.fields.Select2MultipleChoiceField
    :parts: 1

.. inheritance-diagram:: django_select2.fields.ModelSelect2Field django_select2.fields.ModelSelect2MultipleField
    :parts: 1

.. inheritance-diagram:: django_select2.fields.HeavySelect2TagField
	:parts: 1

.. inheritance-diagram:: django_select2.fields.HeavyModelSelect2ChoiceField django_select2.fields.HeavyModelSelect2MultipleChoiceField django_select2.fields.HeavyModelSelect2TagField
    :parts: 1

.. inheritance-diagram:: django_select2.fields.AutoSelect2Field django_select2.fields.AutoSelect2MultipleField django_select2.fields.AutoSelect2TagField
    :parts: 1

.. inheritance-diagram:: django_select2.fields.AutoModelSelect2Field
    :parts: 1

.. inheritance-diagram:: django_select2.fields.AutoModelSelect2MultipleField django_select2.fields.AutoModelSelect2TagField
    :parts: 1

Reference
---------

.. automodule:: django_select2.fields
    :members:
